Package ru.bitel.bgbilling.modules.runtel.server.bean

# Class RunTelContract

java.lang.Object
ru.bitel.bgbilling.modules.runtel.server.bean.RunTelContract

public class RunTelContract extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RunTelContract()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getContractComment()`
  `int`
  `getContractId()`
  `String`
  `getContractTitle()`
  `String`
  `getEmail()`
  `Period`
  `getPeriod()`
  `int`
  `getStatus()`
  `RunTelContractTariff`
  `getTariff()`
  `RunTelContract`
  `setContractComment(String contractComment)`
  `RunTelContract`
  `setContractId(int contractId)`
  `RunTelContract`
  `setContractTitle(String contractTitle)`
  `RunTelContract`
  `setEmail(String email)`
  `RunTelContract`
  `setPeriod(Period period)`
  `RunTelContract`
  `setStatus(int status)`
  `RunTelContract`
  `setTariff(RunTelContractTariff tariff)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RunTelContract

    public RunTelContract()

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public RunTelContract setContractId(int contractId)

  - ### getContractTitle

    public String getContractTitle()

  - ### setContractTitle

    public RunTelContract setContractTitle(String contractTitle)

  - ### getContractComment

    public String getContractComment()

  - ### setContractComment

    public RunTelContract setContractComment(String contractComment)

  - ### getPeriod

    public Period getPeriod()

  - ### setPeriod

    public RunTelContract setPeriod(Period period)

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public RunTelContract setStatus(int status)

  - ### getEmail

    public String getEmail()

  - ### setEmail

    public RunTelContract setEmail(String email)

  - ### getTariff

    public RunTelContractTariff getTariff()

  - ### setTariff

    public RunTelContract setTariff(RunTelContractTariff tariff)